import { z } from 'zod';

export interface TokenBalanceOutput {
  readonly tokenId: string;
  readonly balance: string;
}

export const walletBalanceParamsSchema = z.object({
  walletId: z.string().uuid(),
});

export const walletNetworkBalanceParamsSchema = z.object({
  walletId: z.string().uuid(),
  networkId: z.string().uuid(),
});
